## linux-backports-modules-2.6.15 2.6.15-57.15

=== updates/Makefile ===
# Build file

include $(src)/.config

obj-$(CONFIG_FUSION_UPDATE) += storage/fusion/
obj-$(CONFIG_E1000_UPDATE) += net/e1000/

=== updates/net/e1000/Makefile ===
FAMILYC = e1000_82540.c e1000_82542.c e1000_82571.c e1000_82541.c \
	  e1000_82543.c e1000_ich8lan.c e1000_80003es2lan.c

# core driver files
CFILES = e1000_main.c $(FAMILYC) e1000_mac.c e1000_nvm.c e1000_phy.c \
	 e1000_manage.c e1000_param.c e1000_ethtool.c kcompat.c e1000_api.c

obj-m += e1000.o
e1000-objs := $(CFILES:.c=.o)

=== updates/storage/fusion/Makefile ===
obj-m += mptbase.o mptscsih.o mptspi.o mptfc.o mptsas.o mptctl.o mptlan.o \
	scsi_transport_sas.o

=== debian/changelog ===
linux-backports-modules-2.6.15 (2.6.15-57.15) dapper-proposed; urgency=low

  Bump upload number due to error made in PPA upload

 -- Steve Conklin <sconklin@canonical.com>  Wed, 02 Mar 2011 20:03:53 -0600

linux-backports-modules-2.6.15 (2.6.15-57.14) dapper-proposed; urgency=low

  Bump ABI to -57 due to proposed update

 -- Steve Conklin <sconklin@canonical.com>  Wed, 02 Mar 2011 17:35:35 -0600

linux-backports-modules-2.6.15 (2.6.15-55.13) dapper-security; urgency=low

  Bump ABI to -55 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 14:12:47 -0700

linux-backports-modules-2.6.15 (2.6.15-54.12) dapper-security; urgency=low

  * Security upload with ABI bump.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 25 Mar 2009 19:24:13 +0000

linux-backports-modules-2.6.15 (2.6.15-53.11) dapper-security; urgency=low

  * Security upload with ABI bump.

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 24 Nov 2008 18:22:58 +0100

linux-backports-modules-2.6.15 (2.6.15-52.10) dapper-security; urgency=low

  * Security upload with ABI bump.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Jun 2008 02:17:56 -0600

linux-backports-modules-2.6.15 (2.6.15-51.9) dapper-security; urgency=low

  * Add hppa gcc dependency to fix FTBS.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu,  7 Feb 2008 13:54:46 -0700

linux-backports-modules-2.6.15 (2.6.15-51.8) dapper-security; urgency=low

  * Security update.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Jan 2008 09:54:36 -0700

linux-backports-modules-2.6.15 (2.6.15-51.7) dapper-proposed; urgency=low

  [Ben Collins]

  * mptsas: Fix mutex_init() compat function
  * Include scsi-modules-updates fixes from .6

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 10 Jan 2008 09:11:32 -0500

linux-backports-modules-2.6.15 (2.6.15-51.5) dapper-proposed; urgency=low

  [Ben Collins]

  * mpt: Fix missing symbols in module

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 06 Dec 2007 10:36:56 -0500

linux-backports-modules-2.6.15 (2.6.15-51.4) dapper-proposed; urgency=low

  * Rename updates-modules udeb to nic-updates-modules and
    scsi-updates-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Oct 2007 18:40:59 -0400

linux-backports-modules-2.6.15 (2.6.15-51.3) dapper-proposed; urgency=low

  * Fix amd64 d-i kernel flavour: generic -> amd64-generic

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 24 Oct 2007 09:02:07 -0400

linux-backports-modules-2.6.15 (2.6.15-51.2) dapper-proposed; urgency=low

  [Ben Collins]

  * Fix build-deps for kernel-wedge and hppa gcc
  * ABI Bump
  * fusion: Added mptsas drivers from feisty tree
    - Bug #37452
  * fusion: Back down to edgy 2.6.17 version, and include
    scsi-transport-sas module
  * e1000: Added v7.6.9.1 module update
  * e1000: Added to build
  * ubuntu: Enable e1000

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 22 Oct 2007 11:33:10 -0400

=== debian/control ===
Source: linux-backports-modules-2.6.15
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.05ubuntu5), gcc-3.4-hppa64 [hppa], binutils-hppa64 [hppa], gcc-3.4 [hppa], linux-headers-2.6.15-57-386 [i386], linux-headers-2.6.15-57-686 [i386], linux-headers-2.6.15-57-amd64-generic [amd64], linux-headers-2.6.15-57-amd64-k8 [amd64], linux-headers-2.6.15-57-amd64-server [amd64], linux-headers-2.6.15-57-amd64-xeon [amd64], linux-headers-2.6.15-57-hppa32 [hppa], linux-headers-2.6.15-57-hppa32-smp [hppa], linux-headers-2.6.15-57-hppa64 [hppa], linux-headers-2.6.15-57-hppa64-smp [hppa], linux-headers-2.6.15-57-itanium [ia64], linux-headers-2.6.15-57-itanium-smp [ia64], linux-headers-2.6.15-57-k7 [i386], linux-headers-2.6.15-57-mckinley [ia64], linux-headers-2.6.15-57-mckinley-smp [ia64], linux-headers-2.6.15-57-powerpc [powerpc], linux-headers-2.6.15-57-powerpc-smp [powerpc], linux-headers-2.6.15-57-powerpc64-smp [powerpc], linux-headers-2.6.15-57-server [i386], linux-headers-2.6.15-57-server-bigiron [i386], linux-headers-2.6.15-57-sparc64 [sparc], linux-headers-2.6.15-57-sparc64-smp [sparc]


Package: linux-backports-modules-2.6.15-57-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-686
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-686
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Intel 686
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Intel 686.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-686 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-amd64-generic
Architecture: amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-amd64-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-amd64-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-amd64-k8
Architecture: amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-amd64-k8
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on AMD K8
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 AMD K8.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-amd64-k8 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-amd64-server
Architecture: amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-amd64-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on x86_64 server
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 x86_64 server.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-amd64-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-amd64-xeon
Architecture: amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-amd64-xeon
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Intel Xeon
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Intel Xeon.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-amd64-xeon meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 32-bit HP PA-RISC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 32-bit HP PA-RISC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-hppa32-smp
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-hppa32-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 64-bit HP PA-RISC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 64-bit HP PA-RISC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-hppa64-smp
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-hppa64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Itanium
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Itanium.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-itanium-smp
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-itanium-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-k7
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-k7
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on AMD K7
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 AMD K7.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-k7 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Itanium II
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Itanium II.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-mckinley-smp
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-mckinley-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.15-57-server
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.15-57-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.15 on 686
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.15 on
 686.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@
